commit 786144052cae336a0c48fdfa576cffdafe9cae4a
parent a747d119b1ef188dd15810dd9f2aa498553f3a7e
Author: Kévin Le Gouguec <kevin.legouguec@gmail.com>
Date: Sun, 7 Feb 2021 20:33:46 +0100
Add background to index and adapt colors
Diffstat:
9 files changed, 28 insertions(+), 2 deletions(-)
diff --git a/admin/img/bg.jpg b/admin/img/bg.jpg
Binary files differ.
diff --git a/admin/indexbg.sh b/admin/indexbg.sh
@@ -0,0 +1,17 @@
+#!/bin/bash
+
+set -eux
+
+OUTDIR=$(git rev-parse --show-toplevel)/images/index
+HERE=$(dirname $0)
+
+bg_src=${HERE}/img/bg.jpg
+bg_max=${OUTDIR}/bgmax.jpg
+bg_4k=${OUTDIR}/bg4k.jpg
+bg_2k=${OUTDIR}/bg2k.jpg
+bg_1k=${OUTDIR}/bg1k.jpg
+
+convert "${bg_src}" -flop "${bg_max}"
+convert "${bg_max}" -resize 4096x "${bg_4k}"
+convert "${bg_max}" -resize 2048x "${bg_2k}"
+convert "${bg_max}" -resize 1024x "${bg_1k}"
diff --git a/images/index/bg1k.jpg b/images/index/bg1k.jpg
Binary files differ.
diff --git a/images/index/bg2k.jpg b/images/index/bg2k.jpg
Binary files differ.
diff --git a/images/index/bg4k.jpg b/images/index/bg4k.jpg
Binary files differ.
diff --git a/images/index/bgmax.jpg b/images/index/bgmax.jpg
Binary files differ.
diff --git a/index.sh b/index.sh
@@ -1,2 +1,2 @@
title=Bienvenue
-stylesheets=(index)
+stylesheets=(dark index)
diff --git a/stylesheets/dark.css b/stylesheets/dark.css
@@ -0,0 +1,8 @@
+body {
+ background-color: black;
+ color: white;
+}
+
+header.banner img {
+ filter: brightness(10);
+}
diff --git a/stylesheets/index.css b/stylesheets/index.css
@@ -1,5 +1,6 @@
body {
- background-color: #a33;
+ background: no-repeat center/cover url('backgroundflip.jpg');
+ background-position: 70% 30%;
}
main {